Merge branch 'jjardon/no_gnome-common' into 'master'

Use upstream autoreconf instead deprecated gnome-common

See merge request GNOME/zenity!2
This commit is contained in:
Javier Jardón Cabezas 2019-03-16 04:16:13 +00:00
commit 07badb01d2
3 changed files with 40 additions and 24 deletions

View File

@ -1,5 +1,5 @@
ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
INCLUDES = src
AM_CPPFLAGS = src
SUBDIRS = \
src \

View File

@ -1,22 +1,38 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
test -n "$srcdir" || srcdir=$(dirname "$0")
test -n "$srcdir" || srcdir=.
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
olddir=$(pwd)
PKG_NAME="zenity"
cd $srcdir
(test -f $srcdir/configure.ac \
&& test -f $srcdir/ChangeLog \
&& test -d $srcdir/src) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level zenity directory"
exit 1
(test -f configure.ac) || {
echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
exit 1
}
# shellcheck disable=SC2016
PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
which gnome-autogen.sh || {
echo "You need to install gnome-common"
exit 1
}
. gnome-autogen.sh
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
echo "*** If you wish to pass any to it, please specify them on the" >&2
echo "*** '$0' command line." >&2
echo "" >&2
fi
autoreconf --verbose --force --install || exit 1
cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
if [ "$1" = "--help" ]; then
exit 0
else
echo "Now type 'make' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi

View File

@ -1,6 +1,6 @@
AC_INIT([Zenity],[3.30.0],[https://bugzilla.gnome.org/enter_bug.cgi?product=zenity],[zenity])
AC_PREREQ([2.63])
AC_PREREQ([2.69])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_SRCDIR([src])
@ -11,6 +11,12 @@ AM_MAINTAINER_MODE([enable])
m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
# *******************************
# Debug
# *******************************
AX_CHECK_ENABLE_DEBUG([yes],[GNOME_ENABLE_DEBUG])
# Check for programs
AC_PROG_CC
@ -27,7 +33,7 @@ dnl *************************
zenity_save_cflags="$CFLAGS"
# pull in the CFLAGS to locate gdkconfig.h
CFLAGS=`$PKG_CONFIG --cflags gtk+-3.0`
AC_COMPILE_IFELSE([
AC_COMPILE_IFELSE([AC_LANG_SOURCE([
#include <gdk/gdk.h>
int main(void) {
@ -36,7 +42,7 @@ int main(void) {
#endif
return 0;
}
],
])],
GDK_BACKEND_X11=yes,
GDK_BACKEND_X11=no)
@ -98,12 +104,6 @@ if test x$enable_webkitgtk = xyes; then
fi
fi
# *******************************
# Debug
# *******************************
GNOME_DEBUG_CHECK
GNOME_COMPILE_WARNINGS([maximum])
# *******************************
# Internationalization